"""
This module provides context processor implementations for gnuviechadmin.

"""
from __future__ import absolute_import, unicode_literals

from django.conf import settings


def navigation(request):
    """
    Add navigation items to the request context.

    :param request: Django :py:class:`HttpRequest <django.http.HttpRequest>`
    :return: new context items
    :rtype: dict

    """
    if request.is_ajax():
        return {}
    context = {
        'webmail_url': settings.GVA_LINK_WEBMAIL,
        'phpmyadmin_url': settings.GVA_LINK_PHPMYADMIN,
        'phppgadmin_url': settings.GVA_LINK_PHPPGADMIN,
        'active_item': 'dashboard',
    }
    return context
